Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.io
Interface ListenCallback

All Known Implementing Classes:
  BioReceiver, NioReceiver, ReceiverBase

    public interface ListenCallback

Internal interface, similar to the MessageListener but used at the IO base The listen callback interface is used by the replication system when data has been received. The interface does not care about objects and marshalling and just passes the bytes straight through.

Author:
  Filip Hanik

Method Summary
`void` | `messageDataReceived(ChannelMessage data)` This method is invoked on the callback object to notify it that new data has been received from one of the cluster nodes.

Method Detail

### messageDataReceived

    void messageDataReceived(ChannelMessage data)

  This method is invoked on the callback object to notify it that new data has been received from one of the cluster nodes.

  Parameters:
    `data` - - the message bytes received from the cluster/replication system

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.